<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.server.front.asset.mapper.UserAssetTransferRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.fzm.mall.server.front.asset.model.UserAssetTransferRecord">
        <id column="id" property="id" />
        <result column="transfer_record_id" property="transferRecordId" />
        <result column="uid" property="uid" />
        <result column="goods_id" property="goodsId" />
        <result column="sku_id" property="skuId" />
        <result column="to_uid" property="toUid" />
        <result column="to_address" property="toAddress" />
        <result column="num" property="num" />
        <result column="remark" property="remark" />
        <result column="status" property="status" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <select id="page" resultType="com.fzm.mall.server.front.asset.model.vo.UserAssetTransferRecordVO">
        select *
        from user_asset_transfer_record
        where uid = #{uid} and goods_id = #{goodsId} and sku_id = #{skuId} and status = #{status}
    </select>
</mapper>
